Bug 1258145 - Review Request: nodejs-get-stdin - Nodejs module for easier stdin
Review Request: nodejs-get-stdin - Nodejs module for easier stdin
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1258146
  Show dependency treegraph
 
Reported: 2015-08-29 11:49 EDT by Piotr Popieluch
Modified: 2015-09-18 18:20 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.0.1-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-18 14:36:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Piotr Popieluch 2015-08-29 11:49:20 EDT
Spec URL: https://piotrp.fedorapeople.org/nodejs-get-stdin.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-get-stdin-4.0.1-1.fc22.src.rpm
Description: Nodejs module for easier stdin
Fedora Account System Username: piotrp
Comment 1 Tom Hughes 2015-08-31 07:29:36 EDT
Needs updating to new 5.0.0 upstream release.
Comment 3 Piotr Popieluch 2015-09-02 02:51:50 EDT
hmm, this one seems to depend on nodejs 0.12 which is not in Fedora yet. 

Will need to check if it will work with 0.10.
Comment 4 Tom Hughes 2015-09-02 03:25:16 EDT
I think https://github.com/sindresorhus/get-stdin/commit/385a9ce4b44e9311158d58de14e919b67f45b638 is the cause though I'm not really sure why because Promise is not listed as a 0.12 new feature.

I guess we have to stick to a 4.x release for now, or else patch it to use https://www.npmjs.com/package/promise or https://www.npmjs.com/package/node-promise to provide promises?
Comment 5 Tom Hughes 2015-09-02 03:26:45 EDT
The comments on https://github.com/sindresorhus/get-stdin/pull/6 have more on possible polyfill solutions for Promise in 0.10.
Comment 6 Piotr Popieluch 2015-09-02 05:57:48 EDT
I would rather import 4.0.1 and update whenever we have 0.12 available instead of patching. ok with you?
Comment 7 Tom Hughes 2015-09-02 06:10:32 EDT
I think that's probably the most sensible solution yes. If you can revert it then I'll try and have a look this evening.
Comment 9 Tom Hughes 2015-09-02 14:01:31 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 4 files have unknown license. Detailed
     output of licensecheck in /home/tom/1258145-nodejs-get-
     stdin/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-get-stdin-4.0.1-1.fc24.noarch.rpm
          nodejs-get-stdin-4.0.1-1.fc24.src.rpm
nodejs-get-stdin.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-get-stdin.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
nodejs-get-stdin (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-get-stdin:
    nodejs-get-stdin
    npm(get-stdin)



Source checksums
----------------
https://github.com/sindresorhus/get-stdin/archive/65c744975229b25d6cc5c7546f49b6ad9099553f.tar.gz#/get-stdin-65c7449.tar.gz :
  CHECKSUM(SHA256) this package     : 041203945a4a063fa10a183859c9f60a00d48f84141d80cab24bd412fbbe3cd3
  CHECKSUM(SHA256) upstream package : 041203945a4a063fa10a183859c9f60a00d48f84141d80cab24bd412fbbe3cd3


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1258145
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 10 Tom Hughes 2015-09-02 14:02:06 EDT
Looks good, bar the versioning issue already discussed, so package approved.
Comment 11 Piotr Popieluch 2015-09-02 15:54:24 EDT
Thanks


New Package SCM Request
=======================
Package Name: nodejs-get-stdin
Short Description: Nodejs module for easier stdin
Upstream URL: https://github.com/sindresorhus/get-stdin
Owners: piotrp
Branches: f21 f22 f23 epel7
Comment 12 Gwyn Ciesla 2015-09-03 09:11:22 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2015-09-04 02:37:52 EDT
nodejs-get-stdin-4.0.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15052
Comment 14 Fedora Update System 2015-09-04 02:41:18 EDT
nodejs-get-stdin-4.0.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15055
Comment 15 Fedora Update System 2015-09-04 02:42:44 EDT
nodejs-get-stdin-4.0.1-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15056
Comment 16 Fedora Update System 2015-09-04 19:18:46 EDT
nodejs-get-stdin-4.0.1-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-get-stdin'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15056
Comment 17 Fedora Update System 2015-09-04 19:20:33 EDT
nodejs-get-stdin-4.0.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-get-stdin'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15055
Comment 18 Fedora Update System 2015-09-04 19:22:37 EDT
nodejs-get-stdin-4.0.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-get-stdin'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15052
Comment 19 Fedora Update System 2015-09-18 14:36:07 EDT
nodejs-get-stdin-4.0.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2015-09-18 16:51:46 EDT
nodejs-get-stdin-4.0.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2015-09-18 18:20:35 EDT
nodejs-get-stdin-4.0.1-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.